Cable subscription
curl --request POST \
--url https://api.dancity.app/api/v1/cable/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smartcardNumber": "1234567890",
"cableplan": "GOtv_Supa_Plus_monthly_N16_800",
"customerName": "John Doe",
"customerRef": "CABLE-REF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smartcardNumber: '1234567890',
cableplan: 'GOtv_Supa_Plus_monthly_N16_800',
customerName: 'John Doe',
customerRef: 'CABLE-REF-001'
})
};
fetch('https://api.dancity.app/api/v1/cable/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/cable/buy"
payload = {
"smartcardNumber": "1234567890",
"cableplan": "GOtv_Supa_Plus_monthly_N16_800",
"customerName": "John Doe",
"customerRef": "CABLE-REF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Cable subscription successful",
"data": {
"transactionId": "TXN-20260506-003",
"status": "SUCCESS",
"smartcardNumber": "1234567890",
"package": "DStv Compact"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Cable subscription
Renew a cable TV subscription.
POST
/
api
/
v1
/
cable
/
buy
Cable subscription
curl --request POST \
--url https://api.dancity.app/api/v1/cable/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smartcardNumber": "1234567890",
"cableplan": "GOtv_Supa_Plus_monthly_N16_800",
"customerName": "John Doe",
"customerRef": "CABLE-REF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smartcardNumber: '1234567890',
cableplan: 'GOtv_Supa_Plus_monthly_N16_800',
customerName: 'John Doe',
customerRef: 'CABLE-REF-001'
})
};
fetch('https://api.dancity.app/api/v1/cable/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/cable/buy"
payload = {
"smartcardNumber": "1234567890",
"cableplan": "GOtv_Supa_Plus_monthly_N16_800",
"customerName": "John Doe",
"customerRef": "CABLE-REF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Cable subscription successful",
"data": {
"transactionId": "TXN-20260506-003",
"status": "SUCCESS",
"smartcardNumber": "1234567890",
"package": "DStv Compact"
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Body
application/json
Response
OK
